/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLOptionsCollection_H___INT_
#define __GdomHTMLOptionsCollection_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLCollection.h"
#include "GDOMObject.h"
#include "HTMLOptionsCollection.h"
G_BEGIN_DECLS
class GDOMHTMLOptionsCollection : public GDOMHTMLCollection {
    typedef GDOMHTMLCollection Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_OPTIONS_COLLECTION; }
    GDOMHTMLOptionsCollection(PassRefPtr<WebCore::HTMLOptionsCollection> impl);
    WebCore::HTMLOptionsCollection* impl() const
    {
        return static_cast<WebCore::HTMLOptionsCollection*>(Base::impl());
    }
};
G_END_DECLS

#endif /* __GdomHTMLOptionsCollection_H___INT_*/
